2018-12-17 06:07 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005440GNUnetbuild processpublic2018-11-21 00:49
Reportertxt.file 
Assigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformarmhfOSdebianOS Versionstretch
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0005440: ./configure throws "expr: syntax error" when checking for PostgreSQL
Description```
checking for pg_config... /usr/bin/pg_config
checking for PostgreSQL libraries... You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev for building a client-side application.
You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev for building a client-side application.
You need to install postgresql-server-dev-X.Y for building a server-side extension or libpq-dev for building a client-side application.
yes
checking if PostgreSQL version is >= 9.5... expr: syntax error
expr: syntax error
expr: syntax error
expr: syntax error
expr: syntax error
no
checking libpq-fe.h usability... no
```
Steps To Reproducecompile gnunet according to https://md.darmstadt.ccc.de/gnunet
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013348

ng0 (developer)

Can you provide more information about your build environment?
For example, which version of postgres is installed?

~0013355

Christian Grothoff (manager)

An ancient version of the postgres m4 feature test macro was used by our builds (but not included in the dist), and for a more recent one (that might have been taken from your OS) some changes were required. I've now added a current version of the respective macros, so hopefully this should fix everything.
(c737a34c0..8a039e9e8)

If not, please reopen and include 'config.log'.
+Notes

-Issue History
Date Modified Username Field Change
2018-09-24 13:30 txt.file New Issue
2018-10-21 12:39 ng0 Assigned To => ng0
2018-10-21 12:39 ng0 Status new => assigned
2018-11-18 16:07 ng0 Note Added: 0013348
2018-11-21 00:47 Christian Grothoff Assigned To ng0 => Christian Grothoff
2018-11-21 00:49 Christian Grothoff Status assigned => resolved
2018-11-21 00:49 Christian Grothoff Resolution open => fixed
2018-11-21 00:49 Christian Grothoff Fixed in Version => 0.11.0
2018-11-21 00:49 Christian Grothoff Note Added: 0013355
2018-11-21 00:49 Christian Grothoff Target Version => 0.11.0
+Issue History